Create Resident Payment: Rentvine
https://api.propexo.com/v1/resident-payments/rentvine/Rentvine only allows primary residents to have payments assigned to them. This can be seen in the residents_meta_data or leases_meta_data API fields on their resident_type_normalized field. This field must be set to PRIMARY.
| Method | Interface |
|---|---|
| POST /api/manager/accounting/leases/{leaseID}/payments | Accounting |
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
The Propexo unique identifier for the integration
The Propexo unique identifier for the lease
The Propexo unique identifier for the financial account. This must be a bank account
The Propexo unique identifier for the resident. The resident must be a primary.
The amount of the resident payment, in cents
Possible values: > 0
The type of payment used for the resident payment
Show 8 enum values
ACHCREDIT/DEBIT_CARDCHECKMONEY_ORDERCASHOTHERCASH_PAYCASHIER_CHECKThe transaction date of the resident payment
Show 2 variants
Indicates whether the payee would like to have a receipt emailed
Description of the resident payment
The reference number for the resident payment
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the lease
The Propexo unique identifier for the financial account. This must be a bank account
The Propexo unique identifier for the resident. The resident must be a primary.
The amount of the resident payment, in cents
Possible values: > 0
The type of payment used for the resident payment
Show 8 enum values
ACHCREDIT/DEBIT_CARDCHECKMONEY_ORDERCASHOTHERCASH_PAYCASHIER_CHECKShow 2 variants
Indicates whether the payee would like to have a receipt emailed
Description of the resident payment
The reference number for the resident payment
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/resident-payments/rentvine/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"lease_id": "string",
"financial_account_id": "string",
"resident_id": "string",
"amount_in_cents": 0,
"payment_type": "ACH",
"transaction_date": "2024-07-29T15:51:28.071Z",
"send_email_receipt": true
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"lease_id": "string",
"financial_account_id": "string",
"resident_id": "string",
"amount_in_cents": 0,
"payment_type": "ACH",
"transaction_date": "2024-07-29T15:51:28.071Z",
"send_email_receipt": true,
"description": "string",
"reference_number": "string"
}
}